개인 알림

GET https://pushye.com/api/personal-notifications/
curl --request GET \
--url 'https://pushye.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부사항 설명
search 선택 사항 문자열 검색 문자열.
search_by 선택 사항 문자열 어떤 필드로 검색하고 있습니까? 허용되는 값은: name, title, description, url.
website_id 선택 사항 정수
status 선택 사항 문자열 허용된 값: draft, scheduled, processing, sent
datetime_field 선택 사항 문자열 허용된 값: datetime, last_datetime, sent_datetime, scheduled_datetime
datetime_start 선택 사항 문자열 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 선택 사항 문자열 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 선택 사항 문자열 결과를 정렬할 필드. 허용되는 값은: personal_notification_id, datetime, last_datetime, sent_datetime, scheduled_datetime, name, title.
order_type 선택 사항 문자열 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다.
page 선택 사항 정수 결과를 원하는 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "subscriber_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "is_scheduled": 0,
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": ""
            },
            "is_sent": 1,
            "is_displayed": 1,
            "is_clicked": 0,
            "is_closed": 0,
            "status": "sent",
            "scheduled_datetime": "2024-08-02 17:00:43",
            "sent_datetime": "2024-08-02 17:00:43",
            "last_datetime": null,
            "datetime": "2026-04-28 17:04:04",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/personal-notifications?page=1",
        "last": "https://pushye.com/api/personal-notifications?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/personal-notifications?page=1"
    }
}
GET https://pushye.com/api/personal-notifications/{personal_notification_id}
curl --request GET \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "subscriber_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "is_scheduled": 0,
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": ""
        },
        "is_sent": 1,
        "is_displayed": 1,
        "is_clicked": 0,
        "is_closed": 0,
        "status": "sent",
        "scheduled_datetime": "2024-08-02 17:00:43",
        "sent_datetime": "2024-08-02 17:00:43",
        "last_datetime": null,
        "datetime": "2026-04-28 17:04:04",
    }
}
POST https://pushye.com/api/personal-notifications
매개변수 세부사항 설명
website_id 필수 정수 -
subscriber_id 필수 정수 -
name 필수 문자열 -
title 필수 문자열 -
description 필수 문자열 -
url 선택 사항 문자열 -
image 선택 사항 파일 -
button_title_1 선택 사항 문자열 -
button_url_1 선택 사항 문자열 -
button_title_2 선택 사항 문자열 -
button_url_2 선택 사항 문자열 -
is_scheduled 선택 사항 부울 -
scheduled_datetime 선택 사항 문자열 -
is_silent 선택 사항 부울 -
is_auto_hide 선택 사항 부울 -
ttl 선택 사항 문자열 허용된 값: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source 선택 사항 문자열 -
utm_medium 선택 사항 문자열 -
utm_campaign 선택 사항 문자열 -
save 선택 사항 부울 초안 저장
send 선택 사항 부울 개인 알림 보내기
curl --request POST \
--url 'https://pushye.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
    "data": {
        "id": 1
    }
}
POST https://pushye.com/api/personal-notifications/{personal_notification_id}
매개변수 세부사항 설명
website_id 선택 사항 정수 -
subscriber_id 선택 사항 정수 -
name 선택 사항 문자열 -
title 선택 사항 문자열 -
description 선택 사항 문자열 -
url 선택 사항 문자열 -
image 선택 사항 파일 -
button_title_1 선택 사항 문자열 -
button_url_1 선택 사항 문자열 -
button_title_2 선택 사항 문자열 -
button_url_2 선택 사항 문자열 -
is_scheduled 선택 사항 부울 -
scheduled_datetime 선택 사항 문자열 -
is_silent 선택 사항 부울 -
is_auto_hide 선택 사항 부울 -
ttl 선택 사항 문자열 허용된 값: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source 선택 사항 문자열 -
utm_medium 선택 사항 문자열 -
utm_campaign 선택 사항 문자열 -
save 선택 사항 부울 초안 저장
send 선택 사항 부울 개인 알림 보내기
curl --request POST \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushye.com/api/personal-notifications/{personal_notification_id}
curl --request DELETE \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \